PDA

Voir la version complète : [AutoCAD] GeoMap : calculs de longueur



greg_42
03/03/2008, 14h08
Bonjour,
Questions qui va vous paraitre très bette !!!!!!!!!!!
Je voudrais calculer la longueur de mes différents réseaux (AEP, Assainissement...)
Je dispose d'un DWG avec mes réseaux et je n'arrive pas à faire la somme de toutes mes longueurs (essai avec LISTE) Si quelqu'un peux m'aider.
Merci
Grégo
_


_
Re,
Dans le même principe, je voudrais connaître le nombre total de regard sur mon "territoire". J'ai des calques EU-Réseau, AEP-Réseau... et EU-Regards,...
Merci par avance
Grégo

ReadWrite
03/03/2008, 20h31
pour le nombre total de regards,
_.QSELECT OU FILTER pourraient convenir

pour les sommes de longueurs de polylignes,
je te renvoie à ce message (http://www.forumsig.org/showpost.php?p=124630&postcount=7) de Grob

Pierricq
04/03/2008, 08h16
voila un petit lisp pour tes polylignes.
tu exécutes le lisp et après tu tape au clavier TL
Et apres tu sélectionne tes polylignes ( en manuelle, ou avec des filtres de sélections, ou fenêtre de capture)

Et tu reçois une boite de dialogue avec la longueur total.

A+

Pour info renomme le en .lsp car le .doc c'est juste pour pouvoir l'inserer en piece jointe:o:

greg_42
04/03/2008, 08h55
Je vais essayer tout ça !!!
Merci
_
[EDIT]
_

pour le nombre total de regards,
_.QSELECT OU FILTER pourraient convenir

pour les sommes de longueurs de polylignes,
je te renvoie à ce message (http://www.forumsig.org/showpost.php?p=124630&postcount=7) de Grob

Tout d'abord j'ai réussi à calculer la longueur de mon réseau. Merci
Par contre je ne sais pas utiliser "QSELECT OU FILTER" pour le nombre de regards ???
Pourriez-vous m'expliquer un peu plus en détails
Merci
Bonne journée

Pierricq
04/03/2008, 13h52
Hello

QSELECT, c'est une boite de dialogue qui te permet de faire des selections groupées en regroupant deux données.


1ere donnée, le type d'objet, soit cerle soit polyligne soit hachure, tu peux même choisir des blocs.

La 2eme données est de type propriété, le nom de ton blocs, le calque dans lequel il se trouve, sa couleur....
voila à savoir que tu peux soit ajouter soit supprimer de ta selection.

Exemple tout les regards de mon plan EP ou EU on le même nom mais ne sont pas dans le même calque.


tu choisis tes blocs regards par le nom

tu relance QSELECT et tu choisis supprimer de ta selection tout les blocs n'etant pas dans ton calque EU.
Et te voila avec que tes regards EU puis dans la fenêtre de propriété tu as le nombre de regards (blocs) selectionnés.

Voila

PS je pense que dans ton cas ça peut être utile

patoche
06/03/2008, 11h50
Hello

Voici ma routine préférée pour ce genre de traitement (Périmètres ET Surfaces)
MAIS elle ne traite pas les Lignes ET Arcs
Sous-entendu, le Reseau doit être dessiné en POLYLIGNE
Ce qui me parait tout à fait NORMAL !!

Bye, Patoche


;;; ZTOTM.LSP for AUTOCAD R13, R14, R15 (OUPS ! 2000) - 04/2000
;;; Commande au clavier : ZTOTM

(defun c:ztotm ()
(setvar "cmdecho" 0)
(setq
ctent 0
ob_peri 0
ob_area 0
)
(setq ent (ssget '((-4 . "<OR")
(0 . "SPLINE")
(0 . "ELLIPSE")
(0 . "CIRCLE")
(0 . "LWPOLYLINE")
(0 . "POLYLINE")
(-4 . "OR>" )
)
) )
(if ent
(progn
(while
(< ctent (sslength ent))
(setq selent (ssname ent ctent))
(command "_.area" "_ob" selent )
;(princ "\n")(princ (getvar "perimeter"))
(setq ob_peri (+ ob_peri (getvar "perimeter")))
(setq ob_area (+ ob_area (getvar "area")))
(setq ctent (1+ ctent))
)
)
(prompt "\n*** Rien de Valable ")
)
(setvar "cmdecho" 1)
(princ "\nCercle, Polyligne, Rectangle, Anneau, Polygone, Ellipse, Spline")
(princ "\nTOTAUX Surface: ") (princ ob_area)
(princ " - Perimetre: ") (princ ob_peri)
(princ " - Objet: ") (princ ctent)
(princ "\n")
;; **** Eventuellement commentez les lignes suivantes ***
;; (alert "Traitement: Cercle, Polyligne, Rectangle, Anneau, Polygone, Ellipse, Spline")
(princ)
)
(princ)
; (setq bit70 (cdr (assoc 70 selent)))
; (if (= (logand bit70 1) 1)
;;(= (logand bit70 8) 8)
(princ "\n==> ZTOTM ")
(princ)

blacko38
14/01/2010, 12h53
voila un petit lisp pour tes polylignes.
tu exécutes le lisp et après tu tape au clavier TL
Et apres tu sélectionne tes polylignes ( en manuelle, ou avec des filtres de sélections, ou fenêtre de capture)

Et tu reçois une boite de dialogue avec la longueur total.

A+

Pour info renomme le en .lsp car le .doc c'est juste pour pouvoir l'inserer en piece jointe:o:

Franchement merci merci tu m'as sauver la vie avec ton fichier.

archico
17/02/2011, 13h55
Merci à toi, c'est top!
Exactement ce que je voulais faire